Index: squid/ntlm_auth_modules/NTLMSSP/smbval/rfcnb-error.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/ntlm_auth_modules/NTLMSSP/smbval/Attic/rfcnb-error.h,v
retrieving revision 1.1.2.1.2.3
retrieving revision 1.1.2.1.2.4
diff -u -r1.1.2.1.2.3 -r1.1.2.1.2.4
--- squid/ntlm_auth_modules/NTLMSSP/smbval/rfcnb-error.h	7 Jan 2001 02:49:32 -0000	1.1.2.1.2.3
+++ squid/ntlm_auth_modules/NTLMSSP/smbval/rfcnb-error.h	7 Jan 2001 09:48:29 -0000	1.1.2.1.2.4
@@ -1,76 +1,74 @@
 /* UNIX RFCNB (RFC1001/RFC1002) NetBIOS implementation
-
-   Version 1.0
-   RFCNB Error Response Defines
-
-   Copyright (C) Richard Sharpe 1996
-
-*/
+ * 
+ * Version 1.0
+ * RFCNB Error Response Defines
+ * 
+ * Copyright (C) Richard Sharpe 1996
+ * 
+ */
 
 /*
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; either version 2 of the License, or
-   (at your option) any later version.
-   
-   This program is distributed in the hope that it will be useful,
-   but WITHOUT ANY WARRANTY; without even the implied warranty of
-   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-   GNU General Public License for more details.
-   
-   You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software
-   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-*/
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ * 
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ * 
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ */
 
 /* Error responses */
 
-#define RFCNBE_Bad -1          /* Bad response */
+#define RFCNBE_Bad -1		/* Bad response */
 #define RFCNBE_OK 0
 
-/* these should follow the spec ... is there one ?*/
+/* these should follow the spec ... is there one ? */
 
-#define RFCNBE_NoSpace 1       /* Could not allocate space for a struct */
-#define RFCNBE_BadName 2       /* Could not translate a name            */
-#define RFCNBE_BadRead 3       /* Read sys call failed                  */
-#define RFCNBE_BadWrite 4      /* Write Sys call failed                 */
-#define RFCNBE_ProtErr 5       /* Protocol Error                        */
-#define RFCNBE_ConGone 6       /* Connection dropped                    */
-#define RFCNBE_BadHandle 7     /* Handle passed was bad                 */
-#define RFCNBE_BadSocket 8     /* Problems creating socket              */
-#define RFCNBE_ConnectFailed 9 /* Connect failed                        */
-#define RFCNBE_CallRejNLOCN 10 /* Call rejected, not listening on CN    */
-#define RFCNBE_CallRejNLFCN 11 /* Call rejected, not listening for CN   */
-#define RFCNBE_CallRejCNNP  12 /* Call rejected, called name not present */
-#define RFCNBE_CallRejInfRes 13/* Call rejetced, name ok, no resources   */
-#define RFCNBE_CallRejUnSpec 14/* Call rejected, unspecified error      */
-#define RFCNBE_BadParam      15/* Bad parameters passed ...             */
-#define RFCNBE_Timeout       16/* IO Timed out                          */
+#define RFCNBE_NoSpace 1	/* Could not allocate space for a struct */
+#define RFCNBE_BadName 2	/* Could not translate a name            */
+#define RFCNBE_BadRead 3	/* Read sys call failed                  */
+#define RFCNBE_BadWrite 4	/* Write Sys call failed                 */
+#define RFCNBE_ProtErr 5	/* Protocol Error                        */
+#define RFCNBE_ConGone 6	/* Connection dropped                    */
+#define RFCNBE_BadHandle 7	/* Handle passed was bad                 */
+#define RFCNBE_BadSocket 8	/* Problems creating socket              */
+#define RFCNBE_ConnectFailed 9	/* Connect failed                        */
+#define RFCNBE_CallRejNLOCN 10	/* Call rejected, not listening on CN    */
+#define RFCNBE_CallRejNLFCN 11	/* Call rejected, not listening for CN   */
+#define RFCNBE_CallRejCNNP  12	/* Call rejected, called name not present */
+#define RFCNBE_CallRejInfRes 13	/* Call rejetced, name ok, no resources   */
+#define RFCNBE_CallRejUnSpec 14	/* Call rejected, unspecified error      */
+#define RFCNBE_BadParam      15	/* Bad parameters passed ...             */
+#define RFCNBE_Timeout       16	/* IO Timed out                          */
 
 /* Text strings for the error responses                                 */
 extern char *RFCNB_Error_Strings[];
 /*
-static char *RFCNB_Error_Strings[] = {
-
-  "RFCNBE_OK: Routine completed successfully.",
-  "RFCNBE_NoSpace: No space available for a malloc call.",
-  "RFCNBE_BadName: NetBIOS name could not be translated to IP address.",
-  "RFCNBE_BadRead: Read system call returned an error. Check errno.",
-  "RFCNBE_BadWrite: Write system call returned an error. Check errno.",
-  "RFCNBE_ProtErr: A protocol error has occurred.",
-  "RFCNBE_ConGone: Connection dropped during a read or write system call.",
-  "RFCNBE_BadHandle: Bad connection handle passed.",
-  "RFCNBE_BadSocket: Problems creating socket.",
-  "RFCNBE_ConnectFailed: Connection failed. See errno.",
-  "RFCNBE_CallRejNLOCN: Call rejected. Not listening on called name.",
-  "RFCNBE_CallRejNLFCN: Call rejected. Not listening for called name.",
-  "RFCNBE_CallRejCNNP: Call rejected. Called name not present.",
-  "RFCNBE_CallRejInfRes: Call rejected. Name present, but insufficient resources.",
-  "RFCNBE_CallRejUnSpec: Call rejected. Unspecified error.",
-  "RFCNBE_BadParam: Bad parameters passed to a routine.",
-  "RFCNBE_Timeout: IO Operation timed out ..."
-
-};
-*/
-
-
+ * static char *RFCNB_Error_Strings[] = {
+ * 
+ * "RFCNBE_OK: Routine completed successfully.",
+ * "RFCNBE_NoSpace: No space available for a malloc call.",
+ * "RFCNBE_BadName: NetBIOS name could not be translated to IP address.",
+ * "RFCNBE_BadRead: Read system call returned an error. Check errno.",
+ * "RFCNBE_BadWrite: Write system call returned an error. Check errno.",
+ * "RFCNBE_ProtErr: A protocol error has occurred.",
+ * "RFCNBE_ConGone: Connection dropped during a read or write system call.",
+ * "RFCNBE_BadHandle: Bad connection handle passed.",
+ * "RFCNBE_BadSocket: Problems creating socket.",
+ * "RFCNBE_ConnectFailed: Connection failed. See errno.",
+ * "RFCNBE_CallRejNLOCN: Call rejected. Not listening on called name.",
+ * "RFCNBE_CallRejNLFCN: Call rejected. Not listening for called name.",
+ * "RFCNBE_CallRejCNNP: Call rejected. Called name not present.",
+ * "RFCNBE_CallRejInfRes: Call rejected. Name present, but insufficient resources.",
+ * "RFCNBE_CallRejUnSpec: Call rejected. Unspecified error.",
+ * "RFCNBE_BadParam: Bad parameters passed to a routine.",
+ * "RFCNBE_Timeout: IO Operation timed out ..."
+ * 
+ * };
+ */
Index: squid/ntlm_auth_modules/NTLMSSP/smbval/rfcnb-io.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/ntlm_auth_modules/NTLMSSP/smbval/Attic/rfcnb-io.c,v
retrieving revision 1.1.2.1.2.3
retrieving revision 1.1.2.1.2.4
diff -u -r1.1.2.1.2.3 -r1.1.2.1.2.4
--- squid/ntlm_auth_modules/NTLMSSP/smbval/rfcnb-io.c	7 Jan 2001 02:49:32 -0000	1.1.2.1.2.3
+++ squid/ntlm_auth_modules/NTLMSSP/smbval/rfcnb-io.c	7 Jan 2001 09:48:29 -0000	1.1.2.1.2.4
@@ -1,27 +1,27 @@
 /* UNIX RFCNB (RFC1001/RFC1002) NEtBIOS implementation
-
-   Version 1.0
-   RFCNB IO Routines ...
-
-   Copyright (C) Richard Sharpe 1996
-
-*/
+ * 
+ * Version 1.0
+ * RFCNB IO Routines ...
+ * 
+ * Copyright (C) Richard Sharpe 1996
+ * 
+ */
 
 /*
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; either version 2 of the License, or
-   (at your option) any later version.
-   
-   This program is distributed in the hope that it will be useful,
-   but WITHOUT ANY WARRANTY; without even the implied warranty of
-   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-   GNU General Public License for more details.
-   
-   You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software
-   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-*/
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ * 
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ * 
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ */
 /* #include <features.h> */
 #include "config.h"
 #include "std-includes.h"
@@ -32,377 +32,369 @@
 #include <sys/signal.h>
 #include <string.h>
 
-int RFCNB_Timeout = 0;    /* Timeout in seconds ... */
-
-void rfcnb_alarm(int sig)
+int RFCNB_Timeout = 0;		/* Timeout in seconds ... */
 
+void 
+rfcnb_alarm(int sig)
 {
 
-  fprintf(stderr, "IO Timed out ...\n");
+    fprintf(stderr, "IO Timed out ...\n");
 
 }
 
 /* Set timeout value and setup signal handling */
 
-int RFCNB_Set_Timeout(int seconds)
-
+int 
+RFCNB_Set_Timeout(int seconds)
 {
-  /* If we are on a Bezerkeley system, use sigvec, else sigaction */
+    /* If we are on a Bezerkeley system, use sigvec, else sigaction */
 #if HAVE_SIGACTION
-  struct sigaction inact, outact;
+    struct sigaction inact, outact;
 #else
-  struct sigvec invec, outvec;
+    struct sigvec invec, outvec;
 #endif
 
-  RFCNB_Timeout = seconds;
+    RFCNB_Timeout = seconds;
 
-  if (RFCNB_Timeout > 0) { /* Set up handler to ignore but not restart */
+    if (RFCNB_Timeout > 0) {	/* Set up handler to ignore but not restart */
 
 #if HAVE_SIGACTION
-    inact.sa_handler = (void (*)())rfcnb_alarm;
-    sigemptyset(&inact.sa_mask);
-    inact.sa_flags = 0;    /* Don't restart */
+	inact.sa_handler = (void (*)()) rfcnb_alarm;
+	sigemptyset(&inact.sa_mask);
+	inact.sa_flags = 0;	/* Don't restart */
 
-    if (sigaction(SIGALRM, &inact, &outact) < 0)
-      return(-1);
+	if (sigaction(SIGALRM, &inact, &outact) < 0)
+	    return (-1);
 #else
-    invec.sv_handler = (void (*)())rfcnb_alarm;
-    invec.sv_mask = 0;
-    invec.sv_flags = SV_INTERRUPT;
+	invec.sv_handler = (void (*)()) rfcnb_alarm;
+	invec.sv_mask = 0;
+	invec.sv_flags = SV_INTERRUPT;
 
-    if (sigvec(SIGALRM, &invec, &outvec)  < 0)
-      return(-1);
+	if (sigvec(SIGALRM, &invec, &outvec) < 0)
+	    return (-1);
 #endif
 
-  }
-
-  return(0);
+    }
+    return (0);
 
 }
 
 /* Discard the rest of an incoming packet as we do not have space for it
-   in the buffer we allocated or were passed ...                         */
+ * in the buffer we allocated or were passed ...                         */
 
-int RFCNB_Discard_Rest(struct RFCNB_Con *con, int len)
-
-{ char temp[100];   /* Read into here */
-  int rest, this_read, bytes_read;
+int 
+RFCNB_Discard_Rest(struct RFCNB_Con *con, int len)
+{
+    char temp[100];		/* Read into here */
+    int rest, this_read, bytes_read;
 
-  /* len is the amount we should read */
+    /* len is the amount we should read */
 
 #ifdef RFCNB_DEBUG
-  fprintf(stderr, "Discard_Rest called to discard: %i\n", len);
+    fprintf(stderr, "Discard_Rest called to discard: %i\n", len);
 #endif
 
-  rest = len;
+    rest = len;
 
-  while (rest > 0) {
+    while (rest > 0) {
 
-    this_read = (rest > sizeof(temp)?sizeof(temp):rest);
+	this_read = (rest > sizeof(temp) ? sizeof(temp) : rest);
 
-    bytes_read = read(con -> fd, temp, this_read);
+	bytes_read = read(con->fd, temp, this_read);
 
-    if (bytes_read <= 0) { /* Error so return */
+	if (bytes_read <= 0) {	/* Error so return */
 
-      if (bytes_read < 0) 
-	RFCNB_errno = RFCNBE_BadRead;
-      else
-	RFCNB_errno = RFCNBE_ConGone;
+	    if (bytes_read < 0)
+		RFCNB_errno = RFCNBE_BadRead;
+	    else
+		RFCNB_errno = RFCNBE_ConGone;
 
-      RFCNB_saved_errno = errno;
-      return(RFCNBE_Bad);
+	    RFCNB_saved_errno = errno;
+	    return (RFCNBE_Bad);
 
-    }
-    
-    rest = rest - bytes_read;
+	}
+	rest = rest - bytes_read;
 
-  }
+    }
 
-  return(0);
+    return (0);
 
 }
 
 
 /* Send an RFCNB packet to the connection.
+ * 
+ * We just send each of the blocks linked together ... 
+ * 
+ * If we can, try to send it as one iovec ... 
+ * 
+ */
 
-   We just send each of the blocks linked together ... 
-
-   If we can, try to send it as one iovec ... 
-
-*/
-
-int RFCNB_Put_Pkt(struct RFCNB_Con *con, struct RFCNB_Pkt *pkt, int len)
-
-{ int len_sent, tot_sent, this_len;
-  struct RFCNB_Pkt *pkt_ptr;
-  char *this_data;
-  int i;
-  struct iovec io_list[10];          /* We should never have more      */
-                                     /* If we do, this will blow up ...*/
+int 
+RFCNB_Put_Pkt(struct RFCNB_Con *con, struct RFCNB_Pkt *pkt, int len)
+{
+    int len_sent, tot_sent, this_len;
+    struct RFCNB_Pkt *pkt_ptr;
+    char *this_data;
+    int i;
+    struct iovec io_list[10];	/* We should never have more      */
+    /* If we do, this will blow up ... */
 
-  /* Try to send the data ... We only send as many bytes as len claims */
-  /* We should try to stuff it into an IOVEC and send as one write     */
+    /* Try to send the data ... We only send as many bytes as len claims */
+    /* We should try to stuff it into an IOVEC and send as one write     */
 
 
-  pkt_ptr = pkt;
-  len_sent =  tot_sent = 0;             /* Nothing sent so far */
-  i = 0;
+    pkt_ptr = pkt;
+    len_sent = tot_sent = 0;	/* Nothing sent so far */
+    i = 0;
 
-  while ((pkt_ptr != NULL) & (i < 10)) {  /* Watch that magic number! */
+    while ((pkt_ptr != NULL) & (i < 10)) {	/* Watch that magic number! */
 
-    this_len = pkt_ptr -> len;
-    this_data = pkt_ptr -> data;
-    if ((tot_sent + this_len) > len) 
-      this_len = len - tot_sent;        /* Adjust so we don't send too much */
+	this_len = pkt_ptr->len;
+	this_data = pkt_ptr->data;
+	if ((tot_sent + this_len) > len)
+	    this_len = len - tot_sent;	/* Adjust so we don't send too much */
 
-    /* Now plug into the iovec ... */
+	/* Now plug into the iovec ... */
 
-    io_list[i].iov_len = this_len;
-    io_list[i].iov_base = this_data;
-    i++;
+	io_list[i].iov_len = this_len;
+	io_list[i].iov_base = this_data;
+	i++;
 
-    tot_sent += this_len;
+	tot_sent += this_len;
 
-    if (tot_sent == len) break;   /* Let's not send too much */
+	if (tot_sent == len)
+	    break;		/* Let's not send too much */
 
-    pkt_ptr = pkt_ptr -> next;
+	pkt_ptr = pkt_ptr->next;
 
-  }
+    }
 
 #ifdef RFCNB_DEBUG
-  fprintf(stderr, "Frags = %i, tot_sent = %i\n", i, tot_sent);
+    fprintf(stderr, "Frags = %i, tot_sent = %i\n", i, tot_sent);
 #endif
 
-  /* Set up an alarm if timeouts are set ... */
+    /* Set up an alarm if timeouts are set ... */
 
-  if (RFCNB_Timeout > 0) 
-    alarm(RFCNB_Timeout);
+    if (RFCNB_Timeout > 0)
+	alarm(RFCNB_Timeout);
 
-  if ((len_sent = writev(con -> fd, io_list, i)) < 0) { /* An error */
+    if ((len_sent = writev(con->fd, io_list, i)) < 0) {		/* An error */
 
-    con -> rfc_errno = errno;
-    if (errno == EINTR)  /* We were interrupted ... */
-      RFCNB_errno = RFCNBE_Timeout;
-    else
-      RFCNB_errno = RFCNBE_BadWrite;
-    RFCNB_saved_errno = errno;
-    return(RFCNBE_Bad);
-
-  }
-
-  if (len_sent < tot_sent) { /* Less than we wanted */
-    if (errno == EINTR)      /* We were interrupted */
-      RFCNB_errno = RFCNBE_Timeout;
-    else
-      RFCNB_errno = RFCNBE_BadWrite;
-    RFCNB_saved_errno = errno;
-    return(RFCNBE_Bad);
-  }
+	con->rfc_errno = errno;
+	if (errno == EINTR)	/* We were interrupted ... */
+	    RFCNB_errno = RFCNBE_Timeout;
+	else
+	    RFCNB_errno = RFCNBE_BadWrite;
+	RFCNB_saved_errno = errno;
+	return (RFCNBE_Bad);
 
-  if (RFCNB_Timeout > 0)
-    alarm(0);                /* Reset that sucker */
+    }
+    if (len_sent < tot_sent) {	/* Less than we wanted */
+	if (errno == EINTR)	/* We were interrupted */
+	    RFCNB_errno = RFCNBE_Timeout;
+	else
+	    RFCNB_errno = RFCNBE_BadWrite;
+	RFCNB_saved_errno = errno;
+	return (RFCNBE_Bad);
+    }
+    if (RFCNB_Timeout > 0)
+	alarm(0);		/* Reset that sucker */
 
 #ifdef RFCNB_DEBUG
 
-  fprintf(stderr, "Len sent = %i ...\n", len_sent);
-  RFCNB_Print_Pkt(stderr, "sent", pkt, len_sent); /* Print what send ... */
+    fprintf(stderr, "Len sent = %i ...\n", len_sent);
+    RFCNB_Print_Pkt(stderr, "sent", pkt, len_sent);	/* Print what send ... */
 
 #endif
 
-  return(len_sent);
+    return (len_sent);
 
 }
 
 /* Read an RFCNB packet off the connection. 
-
-   We read the first 4 bytes, that tells us the length, then read the
-   rest. We should implement a timeout, but we don't just yet 
-
-*/
+ * 
+ * We read the first 4 bytes, that tells us the length, then read the
+ * rest. We should implement a timeout, but we don't just yet 
+ * 
+ */
 
 
-int RFCNB_Get_Pkt(struct RFCNB_Con *con, struct RFCNB_Pkt *pkt, int len)
-
-{ int read_len, pkt_len;
-  char hdr[RFCNB_Pkt_Hdr_Len];      /* Local space for the header */
-  struct RFCNB_Pkt *pkt_frag;
-  int more, this_time, offset, frag_len, this_len;
-  BOOL seen_keep_alive = TRUE;
+int 
+RFCNB_Get_Pkt(struct RFCNB_Con *con, struct RFCNB_Pkt *pkt, int len)
+{
+    int read_len, pkt_len;
+    char hdr[RFCNB_Pkt_Hdr_Len];	/* Local space for the header */
+    struct RFCNB_Pkt *pkt_frag;
+    int more, this_time, offset, frag_len, this_len;
+    BOOL seen_keep_alive = TRUE;
 
-  /* Read that header straight into the buffer */
+    /* Read that header straight into the buffer */
 
-  if (len < RFCNB_Pkt_Hdr_Len) { /* What a bozo */
+    if (len < RFCNB_Pkt_Hdr_Len) {	/* What a bozo */
 
 #ifdef RFCNB_DEBUG
-    fprintf(stderr, "Trying to read less than a packet:");
-    perror("");
+	fprintf(stderr, "Trying to read less than a packet:");
+	perror("");
 #endif
-    RFCNB_errno = RFCNBE_BadParam;
-    return(RFCNBE_Bad);
-
-  }
+	RFCNB_errno = RFCNBE_BadParam;
+	return (RFCNBE_Bad);
 
-  /* We discard keep alives here ... */
+    }
+    /* We discard keep alives here ... */
 
-  if (RFCNB_Timeout > 0) 
-    alarm(RFCNB_Timeout);
+    if (RFCNB_Timeout > 0)
+	alarm(RFCNB_Timeout);
 
-  while (seen_keep_alive) {
+    while (seen_keep_alive) {
 
-    if ((read_len = read(con -> fd, hdr, sizeof(hdr))) < 0) { /* Problems */
+	if ((read_len = read(con->fd, hdr, sizeof(hdr))) < 0) {		/* Problems */
 #ifdef RFCNB_DEBUG
-      fprintf(stderr, "Reading the packet, we got:");
-      perror("");
+	    fprintf(stderr, "Reading the packet, we got:");
+	    perror("");
 #endif
-      if (errno == EINTR)
-	RFCNB_errno = RFCNBE_Timeout;
-      else
-	RFCNB_errno = RFCNBE_BadRead;
-      RFCNB_saved_errno = errno;
-      return(RFCNBE_Bad);
-
-    }
+	    if (errno == EINTR)
+		RFCNB_errno = RFCNBE_Timeout;
+	    else
+		RFCNB_errno = RFCNBE_BadRead;
+	    RFCNB_saved_errno = errno;
+	    return (RFCNBE_Bad);
 
-    /* Now we check out what we got */
+	}
+	/* Now we check out what we got */
 
-    if (read_len == 0) { /* Connection closed, send back eof?  */
+	if (read_len == 0) {	/* Connection closed, send back eof?  */
 
 #ifdef RFCNB_DEBUG
-      fprintf(stderr, "Connection closed reading\n");
-#endif 
-
-      if (errno == EINTR) 
-	RFCNB_errno = RFCNBE_Timeout;
-      else
-	RFCNB_errno = RFCNBE_ConGone;
-      RFCNB_saved_errno = errno;
-      return(RFCNBE_Bad);
+	    fprintf(stderr, "Connection closed reading\n");
+#endif
 
-    }
+	    if (errno == EINTR)
+		RFCNB_errno = RFCNBE_Timeout;
+	    else
+		RFCNB_errno = RFCNBE_ConGone;
+	    RFCNB_saved_errno = errno;
+	    return (RFCNBE_Bad);
 
-    if (RFCNB_Pkt_Type(hdr) == RFCNB_SESSION_KEEP_ALIVE) {
+	}
+	if (RFCNB_Pkt_Type(hdr) == RFCNB_SESSION_KEEP_ALIVE) {
 
 #ifdef RFCNB_DEBUG
-      fprintf(stderr, "RFCNB KEEP ALIVE received\n");
+	    fprintf(stderr, "RFCNB KEEP ALIVE received\n");
 #endif
-      
-    }
-    else {
-      seen_keep_alive = FALSE;
+
+	} else {
+	    seen_keep_alive = FALSE;
+	}
+
     }
 
-  }
- 
-  /* What if we got less than or equal to a hdr size in bytes? */
+    /* What if we got less than or equal to a hdr size in bytes? */
 
-  if (read_len < sizeof(hdr)) { /* We got a small packet */
+    if (read_len < sizeof(hdr)) {	/* We got a small packet */
 
-    /* Now we need to copy the hdr portion we got into the supplied packet */
+	/* Now we need to copy the hdr portion we got into the supplied packet */
 
-    memcpy(pkt -> data, hdr, read_len);  /*Copy data */
+	memcpy(pkt->data, hdr, read_len);	/*Copy data */
 
 #ifdef RFCNB_DEBUG
-    RFCNB_Print_Pkt(stderr, "rcvd", pkt, read_len);
+	RFCNB_Print_Pkt(stderr, "rcvd", pkt, read_len);
 #endif
 
-    return(read_len);
+	return (read_len);
 
-  }
-
-  /* Now, if we got at least a hdr size, alloc space for rest, if we need it */
+    }
+    /* Now, if we got at least a hdr size, alloc space for rest, if we need it */
 
-  pkt_len = RFCNB_Pkt_Len(hdr);
+    pkt_len = RFCNB_Pkt_Len(hdr);
 
 #ifdef RFCNB_DEBUG
-  fprintf(stderr, "Reading Pkt: Length = %i\n", pkt_len);
-#endif  
-
-  /* Now copy in the hdr */
+    fprintf(stderr, "Reading Pkt: Length = %i\n", pkt_len);
+#endif
 
-  memcpy(pkt -> data, hdr, sizeof(hdr));
+    /* Now copy in the hdr */
 
-  /* Get the rest of the packet ... first figure out how big our buf is? */
-  /* And make sure that we handle the fragments properly ... Sure should */
-  /* use an iovec ...                                                    */
+    memcpy(pkt->data, hdr, sizeof(hdr));
 
-  if (len < pkt_len)            /* Only get as much as we have space for */
-    more = len - RFCNB_Pkt_Hdr_Len;
-  else
-    more = pkt_len;
+    /* Get the rest of the packet ... first figure out how big our buf is? */
+    /* And make sure that we handle the fragments properly ... Sure should */
+    /* use an iovec ...                                                    */
 
-  this_time = 0;
+    if (len < pkt_len)		/* Only get as much as we have space for */
+	more = len - RFCNB_Pkt_Hdr_Len;
+    else
+	more = pkt_len;
 
-  /* We read for each fragment ... */
+    this_time = 0;
 
-  if (pkt -> len == read_len){     /* If this frag was exact size */
-    pkt_frag = pkt -> next;        /* Stick next lot in next frag */
-    offset = 0;                    /* then we start at 0 in next  */
-  }
-  else {
-    pkt_frag = pkt;                /* Otherwise use rest of this frag */
-    offset = RFCNB_Pkt_Hdr_Len;    /* Otherwise skip the header       */
-  }
+    /* We read for each fragment ... */
 
-  frag_len = pkt_frag -> len;
+    if (pkt->len == read_len) {	/* If this frag was exact size */
+	pkt_frag = pkt->next;	/* Stick next lot in next frag */
+	offset = 0;		/* then we start at 0 in next  */
+    } else {
+	pkt_frag = pkt;		/* Otherwise use rest of this frag */
+	offset = RFCNB_Pkt_Hdr_Len;	/* Otherwise skip the header       */
+    }
 
-  if (more <= frag_len)     /* If len left to get less than frag space */
-    this_len = more;        /* Get the rest ...                        */
-  else
-    this_len = frag_len - offset;
+    frag_len = pkt_frag->len;
 
-  while (more > 0) {
+    if (more <= frag_len)	/* If len left to get less than frag space */
+	this_len = more;	/* Get the rest ...                        */
+    else
+	this_len = frag_len - offset;
 
-    if ((this_time = read(con -> fd, (pkt_frag -> data) + offset, this_len)) <= 0) { /* Problems */
+    while (more > 0) {
 
-      if (errno == EINTR) {
+	if ((this_time = read(con->fd, (pkt_frag->data) + offset, this_len)) <= 0) {	/* Problems */
 
-	RFCNB_errno = RFCNB_Timeout;
+	    if (errno == EINTR) {
 
-      }
-      else {
-	if (this_time < 0)
-	  RFCNB_errno = RFCNBE_BadRead;
-	else
-	  RFCNB_errno = RFCNBE_ConGone;
-      }
+		RFCNB_errno = RFCNB_Timeout;
 
-      RFCNB_saved_errno = errno;
-      return(RFCNBE_Bad);
+	    } else {
+		if (this_time < 0)
+		    RFCNB_errno = RFCNBE_BadRead;
+		else
+		    RFCNB_errno = RFCNBE_ConGone;
+	    }
 
-    }
+	    RFCNB_saved_errno = errno;
+	    return (RFCNBE_Bad);
 
+	}
 #ifdef RFCNB_DEBUG
-    fprintf(stderr, "Frag_Len = %i, this_time = %i, this_len = %i, more = %i\n", frag_len,
-                    this_time, this_len, more);
+	fprintf(stderr, "Frag_Len = %i, this_time = %i, this_len = %i, more = %i\n", frag_len,
+	    this_time, this_len, more);
 #endif
 
-    read_len = read_len + this_time;  /* How much have we read ... */
+	read_len = read_len + this_time;	/* How much have we read ... */
 
-    /* Now set up the next part */
+	/* Now set up the next part */
 
-    if (pkt_frag -> next == NULL) break;       /* That's it here */
+	if (pkt_frag->next == NULL)
+	    break;		/* That's it here */
 
-    pkt_frag = pkt_frag -> next;
-    this_len = pkt_frag -> len;
-    offset = 0;
+	pkt_frag = pkt_frag->next;
+	this_len = pkt_frag->len;
+	offset = 0;
 
-    more = more - this_time;
+	more = more - this_time;
 
-  }
+    }
 
 #ifdef RFCNB_DEBUG
-  fprintf(stderr,"Pkt Len = %i, read_len = %i\n", pkt_len, read_len);
-  RFCNB_Print_Pkt(stderr, "rcvd", pkt, read_len + sizeof(hdr));
+    fprintf(stderr, "Pkt Len = %i, read_len = %i\n", pkt_len, read_len);
+    RFCNB_Print_Pkt(stderr, "rcvd", pkt, read_len + sizeof(hdr));
 #endif
 
-  if (read_len < (pkt_len + sizeof(hdr))) {  /* Discard the rest */
-
-    return(RFCNB_Discard_Rest(con, (pkt_len + sizeof(hdr)) - read_len));
+    if (read_len < (pkt_len + sizeof(hdr))) {	/* Discard the rest */
 
-  }
+	return (RFCNB_Discard_Rest(con, (pkt_len + sizeof(hdr)) - read_len));
 
-  if (RFCNB_Timeout > 0)
-    alarm(0);                /* Reset that sucker */
+    }
+    if (RFCNB_Timeout > 0)
+	alarm(0);		/* Reset that sucker */
 
-  return(read_len + sizeof(RFCNB_Hdr));
+    return (read_len + sizeof(RFCNB_Hdr));
 }
Index: squid/ntlm_auth_modules/NTLMSSP/smbval/rfcnb-io.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/ntlm_auth_modules/NTLMSSP/smbval/Attic/rfcnb-io.h,v
retrieving revision 1.1.2.1.2.3
retrieving revision 1.1.2.1.2.4
diff -u -r1.1.2.1.2.3 -r1.1.2.1.2.4
--- squid/ntlm_auth_modules/NTLMSSP/smbval/rfcnb-io.h	7 Jan 2001 02:49:32 -0000	1.1.2.1.2.3
+++ squid/ntlm_auth_modules/NTLMSSP/smbval/rfcnb-io.h	7 Jan 2001 09:48:29 -0000	1.1.2.1.2.4
@@ -1,27 +1,27 @@
 /* UNIX RFCNB (RFC1001/RFC1002) NetBIOS implementation
-
-   Version 1.0
-   RFCNB IO Routines Defines
-
-   Copyright (C) Richard Sharpe 1996
-
-*/
+ * 
+ * Version 1.0
+ * RFCNB IO Routines Defines
+ * 
+ * Copyright (C) Richard Sharpe 1996
+ * 
+ */
 
 /*
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; either version 2 of the License, or
-   (at your option) any later version.
-   
-   This program is distributed in the hope that it will be useful,
-   but WITHOUT ANY WARRANTY; without even the implied warranty of
-   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-   GNU General Public License for more details.
-   
-   You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software
-   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-*/
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ * 
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ * 
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ */
 
 int RFCNB_Put_Pkt(struct RFCNB_Con *con, struct RFCNB_Pkt *pkt, int len);
 
